[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Old/compat package naming



Bill Nottingham wrote:
> Given the history of these, this sounds like way more work to change
> than it's worth. (They'd certainly have to still provide 'glib2'
> and 'gtk2' for many years in the future.)

Well, given how few things still use gtk+ 1, it shouldn't be that hard to do 
now, as only those things need fixing, for everything using gtk2, a Provides 
is all that's needed (and I'd argue it should be kept there anyway because 
gtk+ should become GTK+ 3 at some point; we're keeping the qt4 and kdelibs4 
Provides permanently for that reason, it makes no sense to remove them and 
change packages to use the unversioned names only to have to change things 
back a few years from now).

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]